package com.ruixuan.bytedance.mapper;

import com.ruixuan.bytedance.entity.BytedanceAccessToken;
import com.ruixuan.bytedance.entity.BytedanceColonelActivity;
import com.ruixuan.bytedance.entity.BytedanceColonelActivityDetail;
import com.ruixuan.bytedance.entity.BytedanceOrderList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BytedanceMapper {


    void replaceBatchActivitys(@Param("activityList") List<BytedanceColonelActivity> activityList);

    void insertDetail(BytedanceColonelActivityDetail activityDetail);

    BytedanceColonelActivityDetail getDetailByActivityId(@Param("activityId") Long activityId);

    void replaceBatchOrders(@Param("list") List<BytedanceOrderList> list);
}
